Skip to main content
GET
/
v1
/
companies
/
{cik}
/
transcripts
List earnings call transcripts for a company
curl --request GET \
  --url https://api.ivory.finance/v1/companies/{cik}/transcripts \
  --header 'X-API-Key: <api-key>'
{
  "cik": "<string>",
  "ticker": "<string>",
  "total": 123,
  "limit": 123,
  "offset": 123,
  "transcripts": [
    {
      "doc_id": "<string>",
      "ticker": "<string>",
      "exchange": "<string>",
      "company_name": "<string>",
      "call_date": "2023-12-25",
      "fiscal_year": 123,
      "fiscal_quarter": 123,
      "period_label": "<string>",
      "executives": [],
      "analysts": [],
      "total_words": 123,
      "total_utterances": 123,
      "executive_word_count": 123,
      "analyst_word_count": 123,
      "market_cap_usd": 123,
      "stock_price_at_close": 123,
      "indexed_at": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

cik
string
required

Query Parameters

fiscal_year
integer | null

Filter by fiscal year

fiscal_quarter
integer | null

Filter by fiscal quarter (1-4)

Required range: 1 <= x <= 4
limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

cik
string
required
ticker
string | null
required
total
integer
required
limit
integer
required
offset
integer
required
transcripts
TranscriptSummary · object[]
required